/*****************************************
  This file created by Vgad Version 1.00
******************************************/

#include <intuition/intuition.h>

USHORT test0_data[] =
{
  0x8000,  0x0,
  0x0,  0x0,
  0xffff,  0xff80,
  0x7ffb,  0xff80,
  0xfffb,  0xff80,
  0x7ffb,  0xff80,
  0xffbb,  0xff80,
  0x7ffb,  0xbf80,
  0xfffb,  0xff80,
  0x7ffb,  0xff80,
  0xe000,  0x80,
  0x7ffb,  0xff80,
  0xfffb,  0xff80,
  0x7ffb,  0xbf80,
  0xff7b,  0xff80,
  0x7ffb,  0xff80,
  0xfffb,  0xff80,
  0x7ffb,  0xff80,
  0xffff,  0xff80,
  0x7fff,  0xff80,
  0xaaaa,  0xaaa0,
/*  end of plane 0 */
  0x7fff,  0xffe0,
  0xffff,  0xffe0,
  0x0,  0x60,
  0x8004,  0x60,
  0x4,  0x60,
  0x8004,  0x60,
  0x44,  0x60,
  0x8004,  0x4060,
  0x4,  0x60,
  0x8004,  0x60,
  0x1fff,  0xff60,
  0x8004,  0x60,
  0x4,  0x60,
  0x8004,  0x4060,
  0x84,  0x60,
  0x8004,  0x60,
  0x4,  0x60,
  0x8004,  0x60,
  0x0,  0x60,
  0x8000,  0x60,
  0x5555,  0x5540,
/*  end of plane 1 */
};  /* end of test0_data[] */

struct Image test0_image =
{
  0, 0,               /* left, top */
  27, 21, 2,     /* width, height, depth */
  &test0_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

USHORT test1_data[] =
{
  0x8000,  0x0,
  0x0,  0x0,
  0x8000,  0x0,
  0x4,  0x0,
  0x8004,  0x0,
  0x4,  0x0,
  0x8044,  0x0,
  0x4,  0x4000,
  0x8004,  0x0,
  0x4,  0x0,
  0x9fff,  0xff00,
  0x4,  0x0,
  0x8004,  0x0,
  0x4,  0x4000,
  0x8084,  0x0,
  0x4,  0x0,
  0x8004,  0x0,
  0x4,  0x0,
  0x8000,  0x0,
  0x0,  0x0,
  0xaaaa,  0xaaa0,
/*  end of plane 0 */
  0x7fff,  0xffe0,
  0xffff,  0xffe0,
  0x7fff,  0xffe0,
  0xfffb,  0xffe0,
  0x7ffb,  0xffe0,
  0xfffb,  0xffe0,
  0x7fbb,  0xffe0,
  0xfffb,  0xbfe0,
  0x7ffb,  0xffe0,
  0xfffb,  0xffe0,
  0x6000,  0xe0,
  0xfffb,  0xffe0,
  0x7ffb,  0xffe0,
  0xfffb,  0xbfe0,
  0x7f7b,  0xffe0,
  0xfffb,  0xffe0,
  0x7ffb,  0xffe0,
  0xfffb,  0xffe0,
  0x7fff,  0xffe0,
  0xffff,  0xffe0,
  0x5555,  0x5540,
/*  end of plane 1 */
};  /* end of test1_data[] */

struct Image test1_image =
{
  0, 0,               /* left, top */
  27, 21, 2,     /* width, height, depth */
  &test1_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

struct Gadget test0_gadget =
{
  NULL, /* only gadget in list */
  6, 3, 27, 21, /* left, top, width, height */
  GADGIMAGE | GADGHIMAGE,  /* general flags */
  GADGIMMEDIATE | RELVERIFY,  /* activation flags */
  BOOLGADGET,
  (APTR) &test0_image, /* pointer to primary image */
  (APTR) &test1_image, /* pointer to selected image */
  NULL,  /* pointer to IntuiText */
  0L,    /* mutual exclude bit field */
  NULL,  /* no special info for a boolean gadget */
  0,    /* gadget ID */
  NULL  /* no known user data */
};

USHORT test2_data[] =
{
  0x8000,  0x0,
  0x0,  0x0,
  0xffff,  0xfe00,
  0x6fff,  0xfe00,
  0xef7f,  0xfe00,
  0x6e7f,  0xfe00,
  0xec0f,  0xfe00,
  0x6e67,  0xfe00,
  0xef73,  0xfe00,
  0x6ff9,  0xfe00,
  0xeffc,  0xfe00,
  0x6ffe,  0xfe00,
  0xe0fe,  0xfe00,
  0x6efe,  0xfe00,
  0xeeff,  0xfe00,
  0x6000,  0x200,
  0xffff,  0xfe00,
  0x7fff,  0xfe00,
  0xaaaa,  0xaa80,
/*  end of plane 0 */
  0x7fff,  0xff80,
  0xffff,  0xff80,
  0x0,  0x180,
  0x9000,  0x180,
  0x1080,  0x180,
  0x9180,  0x180,
  0x13f0,  0x180,
  0x9198,  0x180,
  0x108c,  0x180,
  0x9006,  0x180,
  0x1003,  0x180,
  0x9001,  0x180,
  0x1f01,  0x180,
  0x9101,  0x180,
  0x1100,  0x180,
  0x9fff,  0xfd80,
  0x0,  0x180,
  0x8000,  0x180,
  0x5555,  0x5500,
/*  end of plane 1 */
};  /* end of test2_data[] */

struct Image test2_image =
{
  0, 0,               /* left, top */
  25, 19, 2,     /* width, height, depth */
  &test2_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

USHORT test3_data[] =
{
  0x8000,  0x0,
  0x0,  0x0,
  0x8000,  0x0,
  0x1000,  0x0,
  0x9080,  0x0,
  0x1180,  0x0,
  0x93f0,  0x0,
  0x1198,  0x0,
  0x908c,  0x0,
  0x1006,  0x0,
  0x9003,  0x0,
  0x1001,  0x0,
  0x9f01,  0x0,
  0x1101,  0x0,
  0x9100,  0x0,
  0x1fff,  0xfc00,
  0x8000,  0x0,
  0x0,  0x0,
  0xaaaa,  0xaa80,
/*  end of plane 0 */
  0x7fff,  0xff80,
  0xffff,  0xff80,
  0x7fff,  0xff80,
  0xefff,  0xff80,
  0x6f7f,  0xff80,
  0xee7f,  0xff80,
  0x6c0f,  0xff80,
  0xee67,  0xff80,
  0x6f73,  0xff80,
  0xeff9,  0xff80,
  0x6ffc,  0xff80,
  0xeffe,  0xff80,
  0x60fe,  0xff80,
  0xeefe,  0xff80,
  0x6eff,  0xff80,
  0xe000,  0x380,
  0x7fff,  0xff80,
  0xffff,  0xff80,
  0x5555,  0x5500,
/*  end of plane 1 */
};  /* end of test3_data[] */

struct Image test3_image =
{
  0, 0,               /* left, top */
  25, 19, 2,     /* width, height, depth */
  &test3_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

struct Gadget test1_gadget =
{
  &test0_gadget, /* only gadget in list */   /***** Changed this line ***/
  51, 3, 25, 19, /* left, top, width, height */
  GADGIMAGE | GADGHIMAGE,  /* general flags */
  GADGIMMEDIATE | RELVERIFY,  /* activation flags */
  BOOLGADGET,
  (APTR) &test2_image, /* pointer to primary image */
  (APTR) &test3_image, /* pointer to selected image */
  NULL,  /* pointer to IntuiText */
  0L,    /* mutual exclude bit field */
  NULL,  /* no special info for a boolean gadget */
  1,    /* gadget ID */
  NULL  /* no known user data */
};

USHORT test4_data[] =
{
  0x8000,  0x0,
  0x0,  0x0,
  0xffff,  0xe000,
  0x6fbf,  0xe000,
  0xefbf,  0xe000,
  0x6fbf,  0xe000,
  0xefbf,  0xe000,
  0x603f,  0xe000,
  0xefbc,  0x2000,
  0x6500,  0x2000,
  0xefbc,  0x2000,
  0x6a80,  0x2000,
  0xefbf,  0xe000,
  0x653f,  0xe000,
  0xefbf,  0xe000,
  0x603f,  0xe000,
  0xffff,  0xe000,
  0x7fff,  0xe000,
  0xffff,  0xe800,
  0x5555,  0x5800,
/*  end of plane 0 */
  0x7fff,  0xf800,
  0xffff,  0xf800,
  0x0,  0x1800,
  0x9040,  0x1800,
  0x1040,  0x1800,
  0x9040,  0x1800,
  0x1040,  0x1800,
  0x9fc0,  0x1800,
  0x1043,  0xd800,
  0x9aff,  0xd800,
  0x1043,  0xd800,
  0x957f,  0xd800,
  0x1040,  0x1800,
  0x9ac0,  0x1800,
  0x1040,  0x1800,
  0x9fc0,  0x1800,
  0x0,  0x1800,
  0x8000,  0x1800,
  0x0,  0x1000,
  0xaaaa,  0xa000,
/*  end of plane 1 */
};  /* end of test4_data[] */

struct Image test4_image =
{
  0, 0,               /* left, top */
  21, 20, 2,     /* width, height, depth */
  &test4_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

USHORT test5_data[] =
{
  0x8000,  0x0,
  0x0,  0x0,
  0x8000,  0x0,
  0x1040,  0x0,
  0x9040,  0x0,
  0x1040,  0x0,
  0x9040,  0x0,
  0x1fc0,  0x0,
  0x9043,  0xc000,
  0x1aff,  0xc000,
  0x9043,  0xc000,
  0x157f,  0xc000,
  0x9040,  0x0,
  0x1ac0,  0x0,
  0x9040,  0x0,
  0x1fc0,  0x0,
  0x8000,  0x0,
  0x0,  0x0,
  0x8000,  0x800,
  0x5555,  0x5800,
/*  end of plane 0 */
  0x7fff,  0xf800,
  0xffff,  0xf800,
  0x7fff,  0xf800,
  0xefbf,  0xf800,
  0x6fbf,  0xf800,
  0xefbf,  0xf800,
  0x6fbf,  0xf800,
  0xe03f,  0xf800,
  0x6fbc,  0x3800,
  0xe500,  0x3800,
  0x6fbc,  0x3800,
  0xea80,  0x3800,
  0x6fbf,  0xf800,
  0xe53f,  0xf800,
  0x6fbf,  0xf800,
  0xe03f,  0xf800,
  0x7fff,  0xf800,
  0xffff,  0xf800,
  0x7fff,  0xf000,
  0xaaaa,  0xa000,
/*  end of plane 1 */
};  /* end of test5_data[] */

struct Image test5_image =
{
  0, 0,               /* left, top */
  21, 20, 2,     /* width, height, depth */
  &test5_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

struct Gadget test2_gadget =
{
  &test1_gadget, /* only gadget in list */  /***** Changed this line *****/
  103, 6, 21, 20, /* left, top, width, height */
  GADGIMAGE | GADGHIMAGE,  /* general flags */
  GADGIMMEDIATE | RELVERIFY,  /* activation flags */
  BOOLGADGET,
  (APTR) &test4_image, /* pointer to primary image */
  (APTR) &test5_image, /* pointer to selected image */
  NULL,  /* pointer to IntuiText */
  0L,    /* mutual exclude bit field */
  NULL,  /* no special info for a boolean gadget */
  2,    /* gadget ID */
  NULL  /* no known user data */
};

USHORT test6_data[] =
{
  0x8000,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0xffff,  0xffff,  0x0,
  0x7fff,  0xc03f,  0x0,
  0xffff,  0x9fcf,  0x0,
  0x7fff,  0x3ff7,  0x0,
  0xeffe,  0x7ffb,  0x0,
  0x6ffc,  0xfffd,  0x0,
  0xe7f9,  0xfffd,  0x0,
  0x77f3,  0xffff,  0x0,
  0xf3e7,  0xffff,  0x0,
  0x780f,  0xffff,  0x0,
  0xff3f,  0xffff,  0x0,
  0x7fff,  0xffff,  0x0,
  0xffff,  0xffff,  0x0,
  0x7fff,  0xffff,  0x4000,
  0xaaaa,  0xaaaa,  0xc000,
/*  end of plane 0 */
  0x7fff,  0xffff,  0xc000,
  0xffff,  0xffff,  0xc000,
  0x0,  0x0,  0xc000,
  0x8000,  0x3fc0,  0xc000,
  0x0,  0x6030,  0xc000,
  0x8000,  0xc008,  0xc000,
  0x1001,  0x8004,  0xc000,
  0x9003,  0x2,  0xc000,
  0x1806,  0x2,  0xc000,
  0x880c,  0x0,  0xc000,
  0xc18,  0x0,  0xc000,
  0x87f0,  0x0,  0xc000,
  0xc0,  0x0,  0xc000,
  0x8000,  0x0,  0xc000,
  0x0,  0x0,  0xc000,
  0x8000,  0x0,  0x8000,
  0x5555,  0x5555,  0x0,
/*  end of plane 1 */
};  /* end of test6_data[] */

struct Image test6_image =
{
  0, 0,               /* left, top */
  34, 17, 2,     /* width, height, depth */
  &test6_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

USHORT test7_data[] =
{
  0x8000,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x8000,  0x0,  0x0,
  0x0,  0x3fc0,  0x0,
  0x8000,  0x6030,  0x0,
  0x0,  0xc008,  0x0,
  0x9001,  0x8004,  0x0,
  0x1003,  0x2,  0x0,
  0x9806,  0x2,  0x0,
  0x80c,  0x0,  0x0,
  0x8c18,  0x0,  0x0,
  0x7f0,  0x0,  0x0,
  0x80c0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x8000,  0x0,  0x0,
  0x0,  0x0,  0x4000,
  0xaaaa,  0xaaaa,  0xc000,
/*  end of plane 0 */
  0x7fff,  0xffff,  0xc000,
  0xffff,  0xffff,  0xc000,
  0x7fff,  0xffff,  0xc000,
  0xffff,  0xc03f,  0xc000,
  0x7fff,  0x9fcf,  0xc000,
  0xffff,  0x3ff7,  0xc000,
  0x6ffe,  0x7ffb,  0xc000,
  0xeffc,  0xfffd,  0xc000,
  0x67f9,  0xfffd,  0xc000,
  0xf7f3,  0xffff,  0xc000,
  0x73e7,  0xffff,  0xc000,
  0xf80f,  0xffff,  0xc000,
  0x7f3f,  0xffff,  0xc000,
  0xffff,  0xffff,  0xc000,
  0x7fff,  0xffff,  0xc000,
  0xffff,  0xffff,  0x8000,
  0x5555,  0x5555,  0x0,
/*  end of plane 1 */
};  /* end of test7_data[] */

struct Image test7_image =
{
  0, 0,               /* left, top */
  34, 17, 2,     /* width, height, depth */
  &test7_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

struct Gadget test3_gadget =
{
  &test2_gadget, /* only gadget in list */  /***** Changed this line *****/
  3, 34, 34, 17, /* left, top, width, height */
  GADGIMAGE | GADGHIMAGE,  /* general flags */
  GADGIMMEDIATE | RELVERIFY,  /* activation flags */
  BOOLGADGET,
  (APTR) &test6_image, /* pointer to primary image */
  (APTR) &test7_image, /* pointer to selected image */
  NULL,  /* pointer to IntuiText */
  0L,    /* mutual exclude bit field */
  NULL,  /* no special info for a boolean gadget */
  3,    /* gadget ID */
  NULL  /* no known user data */
};

USHORT test8_data[] =
{
  0x8000,  0x0,
  0x0,  0x0,
  0xffff,  0xffc0,
  0x7fff,  0xffc0,
  0xffff,  0xffc0,
  0x7bff,  0xfbc0,
  0xf3ff,  0xf9c0,
  0x63ff,  0xf8c0,
  0xc000,  0x40,
  0x63ff,  0xf8c0,
  0xf3ff,  0xf9c0,
  0x7bff,  0xfbc0,
  0xffff,  0xffc0,
  0x7fff,  0xffc0,
  0xffff,  0xffc0,
  0x5555,  0x5550,
/*  end of plane 0 */
  0x7fff,  0xfff0,
  0xffff,  0xfff0,
  0x0,  0x30,
  0x8000,  0x30,
  0x0,  0x30,
  0x8400,  0x430,
  0xc00,  0x630,
  0x9c00,  0x730,
  0x3fff,  0xffb0,
  0x9c00,  0x730,
  0xc00,  0x630,
  0x8400,  0x430,
  0x0,  0x30,
  0x8000,  0x30,
  0x0,  0x30,
  0xaaaa,  0xaaa0,
/*  end of plane 1 */
};  /* end of test8_data[] */

struct Image test8_image =
{
  0, 0,               /* left, top */
  28, 16, 2,     /* width, height, depth */
  &test8_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

USHORT test9_data[] =
{
  0x8000,  0x0,
  0x0,  0x0,
  0x8000,  0x0,
  0x0,  0x0,
  0x8000,  0x0,
  0x400,  0x400,
  0x8c00,  0x600,
  0x1c00,  0x700,
  0xbfff,  0xff80,
  0x1c00,  0x700,
  0x8c00,  0x600,
  0x400,  0x400,
  0x8000,  0x0,
  0x0,  0x0,
  0x8000,  0x0,
  0x5555,  0x5550,
/*  end of plane 0 */
  0x7fff,  0xfff0,
  0xffff,  0xfff0,
  0x7fff,  0xfff0,
  0xffff,  0xfff0,
  0x7fff,  0xfff0,
  0xfbff,  0xfbf0,
  0x73ff,  0xf9f0,
  0xe3ff,  0xf8f0,
  0x4000,  0x70,
  0xe3ff,  0xf8f0,
  0x73ff,  0xf9f0,
  0xfbff,  0xfbf0,
  0x7fff,  0xfff0,
  0xffff,  0xfff0,
  0x7fff,  0xfff0,
  0xaaaa,  0xaaa0,
/*  end of plane 1 */
};  /* end of test9_data[] */

struct Image test9_image =
{
  0, 0,               /* left, top */
  28, 16, 2,     /* width, height, depth */
  &test9_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

struct Gadget test4_gadget =
{
  &test3_gadget, /* only gadget in list */  /******* Changed this line ****/
  52, 30, 28, 16, /* left, top, width, height */
  GADGIMAGE | GADGHIMAGE,  /* general flags */
  GADGIMMEDIATE | RELVERIFY,  /* activation flags */
  BOOLGADGET,
  (APTR) &test8_image, /* pointer to primary image */
  (APTR) &test9_image, /* pointer to selected image */
  NULL,  /* pointer to IntuiText */
  0L,    /* mutual exclude bit field */
  NULL,  /* no special info for a boolean gadget */
  4,    /* gadget ID */
  NULL  /* no known user data */
};

USHORT test10_data[] =
{
  0x8000,  0x0,
  0x0,  0x0,
  0xffff,  0xff80,
  0x7ff7,  0xfe80,
  0xffef,  0xfd80,
  0x7fdf,  0xfb80,
  0xff80,  0x780,
  0x7f7f,  0xef80,
  0xfeaa,  0xdf80,
  0x7dff,  0xbf80,
  0xfb55,  0x7f80,
  0x77fe,  0xff80,
  0xe001,  0xff80,
  0x7fff,  0xff80,
  0xffff,  0xff80,
  0x5555,  0x5520,
/*  end of plane 0 */
  0x7fff,  0xffe0,
  0xffff,  0xffe0,
  0x0,  0x60,
  0x8008,  0x160,
  0x10,  0x260,
  0x8020,  0x460,
  0x7f,  0xf860,
  0x8080,  0x1060,
  0x155,  0x2060,
  0x8200,  0x4060,
  0x4aa,  0x8060,
  0x8801,  0x60,
  0x1ffe,  0x60,
  0x8000,  0x60,
  0x0,  0x60,
  0xaaaa,  0xaac0,
/*  end of plane 1 */
};  /* end of test10_data[] */

struct Image test10_image =
{
  0, 0,               /* left, top */
  27, 16, 2,     /* width, height, depth */
  &test10_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

USHORT test11_data[] =
{
  0x8000,  0x0,
  0x0,  0x0,
  0x8000,  0x0,
  0x8,  0x100,
  0x8010,  0x200,
  0x20,  0x400,
  0x807f,  0xf800,
  0x80,  0x1000,
  0x8155,  0x2000,
  0x200,  0x4000,
  0x84aa,  0x8000,
  0x801,  0x0,
  0x9ffe,  0x0,
  0x0,  0x0,
  0x8000,  0x0,
  0x5555,  0x5520,
/*  end of plane 0 */
  0x7fff,  0xffe0,
  0xffff,  0xffe0,
  0x7fff,  0xffe0,
  0xfff7,  0xfee0,
  0x7fef,  0xfde0,
  0xffdf,  0xfbe0,
  0x7f80,  0x7e0,
  0xff7f,  0xefe0,
  0x7eaa,  0xdfe0,
  0xfdff,  0xbfe0,
  0x7b55,  0x7fe0,
  0xf7fe,  0xffe0,
  0x6001,  0xffe0,
  0xffff,  0xffe0,
  0x7fff,  0xffe0,
  0xaaaa,  0xaac0,
/*  end of plane 1 */
};  /* end of test11_data[] */

struct Image test11_image =
{
  0, 0,               /* left, top */
  27, 16, 2,     /* width, height, depth */
  &test11_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

struct Gadget test5_gadget =
{
  &test4_gadget, /* only gadget in list */  /***** Changed this line *****/
  98, 29, 27, 16, /* left, top, width, height */
  GADGIMAGE | GADGHIMAGE,  /* general flags */
  GADGIMMEDIATE | RELVERIFY,  /* activation flags */
  BOOLGADGET,
  (APTR) &test10_image, /* pointer to primary image */
  (APTR) &test11_image, /* pointer to selected image */
  NULL,  /* pointer to IntuiText */
  0L,    /* mutual exclude bit field */
  NULL,  /* no special info for a boolean gadget */
  5,    /* gadget ID */
  NULL  /* no known user data */
};

USHORT test12_data[] =
{
  0x8000,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0xffff,  0xffff,  0xffc0,
  0x61fb,  0xffff,  0xfbc0,
  0xccf3,  0xffff,  0xf3c0,
  0x4ff3,  0xffff,  0xf3c0,
  0xe7e0,  0xe189,  0xe0c0,
  0x73f3,  0xfcc4,  0xf3c0,
  0xf9f3,  0xf0cc,  0xf3c0,
  0x7cf3,  0xcccf,  0xf3c0,
  0xccf2,  0xcccf,  0xf2c0,
  0x61f9,  0xe207,  0xf9c0,
  0xffff,  0xffff,  0xffc0,
  0x7fff,  0xffff,  0xffc0,
  0xffff,  0xffff,  0xffc0,
  0x5555,  0x5555,  0x5550,
/*  end of plane 0 */
  0x7fff,  0xffff,  0xfff0,
  0xffff,  0xffff,  0xfff0,
  0x0,  0x0,  0x30,
  0x9e04,  0x0,  0x430,
  0x330c,  0x0,  0xc30,
  0xb00c,  0x0,  0xc30,
  0x181f,  0x1e76,  0x1f30,
  0x8c0c,  0x33b,  0xc30,
  0x60c,  0xf33,  0xc30,
  0x830c,  0x3330,  0xc30,
  0x330d,  0x3330,  0xd30,
  0x9e06,  0x1df8,  0x630,
  0x0,  0x0,  0x30,
  0x8000,  0x0,  0x30,
  0x0,  0x0,  0x30,
  0xaaaa,  0xaaaa,  0xaaa0,
/*  end of plane 1 */
};  /* end of test12_data[] */

struct Image test12_image =
{
  0, 0,               /* left, top */
  44, 16, 2,     /* width, height, depth */
  &test12_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

USHORT test13_data[] =
{
  0x8000,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x8000,  0x0,  0x0,
  0x1e04,  0x0,  0x400,
  0xb30c,  0x0,  0xc00,
  0x300c,  0x0,  0xc00,
  0x981f,  0x1e76,  0x1f00,
  0xc0c,  0x33b,  0xc00,
  0x860c,  0xf33,  0xc00,
  0x30c,  0x3330,  0xc00,
  0xb30d,  0x3330,  0xd00,
  0x1e06,  0x1df8,  0x600,
  0x8000,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x8000,  0x0,  0x0,
  0x5555,  0x5555,  0x5550,
/*  end of plane 0 */
  0x7fff,  0xffff,  0xfff0,
  0xffff,  0xffff,  0xfff0,
  0x7fff,  0xffff,  0xfff0,
  0xe1fb,  0xffff,  0xfbf0,
  0x4cf3,  0xffff,  0xf3f0,
  0xcff3,  0xffff,  0xf3f0,
  0x67e0,  0xe189,  0xe0f0,
  0xf3f3,  0xfcc4,  0xf3f0,
  0x79f3,  0xf0cc,  0xf3f0,
  0xfcf3,  0xcccf,  0xf3f0,
  0x4cf2,  0xcccf,  0xf2f0,
  0xe1f9,  0xe207,  0xf9f0,
  0x7fff,  0xffff,  0xfff0,
  0xffff,  0xffff,  0xfff0,
  0x7fff,  0xffff,  0xfff0,
  0xaaaa,  0xaaaa,  0xaaa0,
/*  end of plane 1 */
};  /* end of test13_data[] */

struct Image test13_image =
{
  0, 0,               /* left, top */
  44, 16, 2,     /* width, height, depth */
  &test13_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

struct Gadget test6_gadget =
{
  &test5_gadget, /* only gadget in list */  /****** Changed this line ****/
  3, 55, 44, 16, /* left, top, width, height */
  GADGIMAGE | GADGHIMAGE,  /* general flags */
  GADGIMMEDIATE | RELVERIFY,  /* activation flags */
  BOOLGADGET,
  (APTR) &test12_image, /* pointer to primary image */
  (APTR) &test13_image, /* pointer to selected image */
  NULL,  /* pointer to IntuiText */
  0L,    /* mutual exclude bit field */
  NULL,  /* no special info for a boolean gadget */
  6,    /* gadget ID */
  NULL  /* no known user data */
};

USHORT test14_data[] =
{
  0x0,  0x0,  0x0,
  0xffff,  0xffff,  0xc000,
  0x70fd,  0xffff,  0xc000,
  0xe679,  0xffff,  0xc000,
  0x67f9,  0xffff,  0xc000,
  0xf3f0,  0x70c8,  0xc000,
  0x79f9,  0xe666,  0x4000,
  0xfcf9,  0xe666,  0x4000,
  0x7e79,  0xe666,  0x4000,
  0xe679,  0x6660,  0xc000,
  0x70fc,  0xf0e7,  0xc000,
  0xffff,  0xffe7,  0xc000,
  0x7fff,  0xffc3,  0xc000,
  0xffff,  0xffff,  0xc000,
  0x7fff,  0xffff,  0xd000,
  0xaaaa,  0xaaaa,  0xb000,
/*  end of plane 0 */
  0xffff,  0xffff,  0xf000,
  0x0,  0x0,  0x3000,
  0x8f02,  0x0,  0x3000,
  0x1986,  0x0,  0x3000,
  0x9806,  0x0,  0x3000,
  0xc0f,  0x8f37,  0x3000,
  0x8606,  0x1999,  0xb000,
  0x306,  0x1999,  0xb000,
  0x8186,  0x1999,  0xb000,
  0x1986,  0x999f,  0x3000,
  0x8f03,  0xf18,  0x3000,
  0x0,  0x18,  0x3000,
  0x8000,  0x3c,  0x3000,
  0x0,  0x0,  0x3000,
  0x8000,  0x0,  0x2000,
  0x5555,  0x5555,  0x4000,
/*  end of plane 1 */
};  /* end of test14_data[] */

struct Image test14_image =
{
  0, 0,               /* left, top */
  36, 16, 2,     /* width, height, depth */
  &test14_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

USHORT test15_data[] =
{
  0x0,  0x0,  0x0,
  0x8000,  0x0,  0x0,
  0xf02,  0x0,  0x0,
  0x9986,  0x0,  0x0,
  0x1806,  0x0,  0x0,
  0x8c0f,  0x8f37,  0x0,
  0x606,  0x1999,  0x8000,
  0x8306,  0x1999,  0x8000,
  0x186,  0x1999,  0x8000,
  0x9986,  0x999f,  0x0,
  0xf03,  0xf18,  0x0,
  0x8000,  0x18,  0x0,
  0x0,  0x3c,  0x0,
  0x8000,  0x0,  0x0,
  0x0,  0x0,  0x1000,
  0xaaaa,  0xaaaa,  0xb000,
/*  end of plane 0 */
  0xffff,  0xffff,  0xf000,
  0x7fff,  0xffff,  0xf000,
  0xf0fd,  0xffff,  0xf000,
  0x6679,  0xffff,  0xf000,
  0xe7f9,  0xffff,  0xf000,
  0x73f0,  0x70c8,  0xf000,
  0xf9f9,  0xe666,  0x7000,
  0x7cf9,  0xe666,  0x7000,
  0xfe79,  0xe666,  0x7000,
  0x6679,  0x6660,  0xf000,
  0xf0fc,  0xf0e7,  0xf000,
  0x7fff,  0xffe7,  0xf000,
  0xffff,  0xffc3,  0xf000,
  0x7fff,  0xffff,  0xf000,
  0xffff,  0xffff,  0xe000,
  0x5555,  0x5555,  0x4000,
/*  end of plane 1 */
};  /* end of test15_data[] */

struct Image test15_image =
{
  0, 0,               /* left, top */
  36, 16, 2,     /* width, height, depth */
  &test15_data[0],   /* image data */
  3, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

struct Gadget test7_gadget =
{
  &test6_gadget, /* only gadget in list */  /******* Changed this line *****/
  96, 56, 36, 16, /* left, top, width, height */
  GADGIMAGE | GADGHIMAGE,  /* general flags */
  GADGIMMEDIATE | RELVERIFY,  /* activation flags */
  BOOLGADGET,
  (APTR) &test14_image, /* pointer to primary image */
  (APTR) &test15_image, /* pointer to selected image */
  NULL,  /* pointer to IntuiText */
  0L,    /* mutual exclude bit field */
  NULL,  /* no special info for a boolean gadget */
  7,    /* gadget ID */
  NULL  /* no known user data */
};

struct NewWindow test0_newwindow =
{
  0, 0,  /* left edge, top edge */
  136, 73,  /* width, height */
  -1, -1,  /* detail pen, block pen */
  MOUSEBUTTONS | MOUSEMOVE | GADGETUP | GADGETDOWN |
  CLOSEWINDOW | MENUPICK | VANILLAKEY, /* IDCMP Flags */
  SMART_REFRESH | REPORTMOUSE |
  ACTIVATE | NOCAREREFRESH, /* Window Flags */  /**** Changed this line ***/
  &test7_gadget, /* pointer to first gadget */  /**** Changed this line ***/
  NULL, /* pointer to checkmark Image */
  NULL, /* Window title */                      /**** Changed this line ***/
  NULL, /* pointer to screen to open on */
  NULL, /* pointer to super bitmap */
  20, 20,  /* minimum width, height */
  -1, -1,  /* maximum width, height */
  WBENCHSCREEN  /* workbench screen */
};

/*****************************************************************
  This is the end of the output from Vgad.  From this point
  on is a quicky little stub.c code that I use a lot when setting
  up a new program.  You are welcome to use it if you find it
  useful...
******************************************************************/

#include <exec/memory.h>
#include <graphics/view.h>
#include <stdio.h>
#include <functions.h>

#define NO_INTUITION   1
#define NO_GRAPHICS    2

struct IntuitionBase *IntuitionBase;
struct GfxBase *GfxBase;

/************************************************************
  The following routine just opens the libraries
************************************************************/

short OpenLibs()
{
  short flags; /* any libraries that do not open get recorded here */

  flags = 0;
  IntuitionBase = (struct IntuitionBase *)
                  OpenLibrary("intuition.library", 0L);
  GfxBase =       (struct GfxBase *)
                  OpenLibrary("graphics.library", 0L);
  if (!IntuitionBase) flags |= NO_INTUITION;
  if (!GfxBase) flags |= NO_GRAPHICS;
  return(flags);
}

void CloseLibs(flags)
short flags;
{
  if (!(flags & NO_INTUITION)) CloseLibrary(IntuitionBase);
  if (!(flags & NO_GRAPHICS))  CloseLibrary(GfxBase);
}

void main(argc, argv)
short argc;
char *argv[];
{
  short lib_flags, init_flags;
  struct Window *w;

  lib_flags  = OpenLibs();
  if (!lib_flags)
  {
    w = OpenWindow(&test0_newwindow);
    if (w)
    {
      SetAPen(w->RPort, 1L);
      SetDrMd(w->RPort, JAM1);
      RectFill(w->RPort, 0L, 0L, (long) w->Width - 1, (long) w->Height - 1);
      RefreshGadgets(w->FirstGadget, w, NULL);
      Delay(500L);
      CloseWindow(w);
    }
    CloseLibs(lib_flags);
  }
}
